Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginEvent

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginEvent

    public class PluginEvent

extends PluginSBase

This class wraps org.sbml.libsbml.Event for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginEvent(java.lang.String id)` Constructor

Method Summary
`void` | `addEventAssignment(PluginEventAssignment event)` Adds a PluginEventAssignment to the list.
`Delay` | `getDelay()`
`PluginEventAssignment` | `getEventAssignment(int index)` Gets the PluginEventAssignment with the given index
`java.lang.String` | `getId()`
`PluginListOf` | `getListOfEventAssignments()`
`java.lang.String` | `getName()`
`int` | `getNumEventAssignments()`
`java.lang.String` | `getTimeUnits()`
`Trigger` | `getTrigger()`
`boolean` | `getUseValuesFromTriggerTime()`
`void` | `removeEventAssignment(int index)` Removes the PluginAssignment with the given index from the list.
`void` | `removeEventAssignment(PluginEventAssignment event)` Removes a PluginEventAssignment from the list.
`void` | `setDelay(ASTNode delay)` Sets the delay of this PluginEvent to the given ASTNode.
`void` | `setDelay(Delay delay)`
`void` | `setListOfEventAssignments(PluginListOf listOfEventAssignments)` Sets the list of PluginEventAssignment of this PluginEvent.
`void` | `setName(java.lang.String name)` Sets the name of this PluginEvent.
`void` | `setTimeUnits(java.lang.String time)` Sets the timeUnits of this PluginEvent to the given string.
`void` | `setTrigger(ASTNode trigger)` Sets the trigger of this PluginEvent to the given ASTNode.
`void` | `setTrigger(Trigger trigger)`
`void` | `setUseValuesFromTriggerTime(boolean useValuesFromTriggerTime)`
`void` | `update(PluginEvent event)` Update all properties of this PluginEvent to the same as the given PluginEvent.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginEvent

    public PluginEvent(java.lang.String id)

  Constructor

  Parameters:
    `id` - the id of this PluginEvent.

Method Detail

### update

    public void update(PluginEvent event)

  Update all properties of this PluginEvent to the same as the given PluginEvent.

  Parameters:
    `event` -

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginEvent.

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginEvent

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginEvent.

  Parameters:
    `name` -

### getDelay

    public Delay getDelay()

  Returns:
    the delay of this PluginEvent.

### setDelay

    public void setDelay(ASTNode delay)

  Sets the delay of this PluginEvent to the given ASTNode.

  Parameters:
    `delay` -

### setDelay

    public void setDelay(Delay delay)

### getTimeUnits

    public java.lang.String getTimeUnits()

  Returns:
    the timeUnits of this PluginEvent.

### setTimeUnits

    public void setTimeUnits(java.lang.String time)

  Sets the timeUnits of this PluginEvent to the given string.

  Parameters:
    `time` -

### getUseValuesFromTriggerTime

    public boolean getUseValuesFromTriggerTime()

### setUseValuesFromTriggerTime

    public void setUseValuesFromTriggerTime(boolean useValuesFromTriggerTime)

### getTrigger

    public Trigger getTrigger()

  Returns:
    the trigger of this PluginEvent.

### setTrigger

    public void setTrigger(ASTNode trigger)

  Sets the trigger of this PluginEvent to the given ASTNode.

  Parameters:
    `trigger` -

### setTrigger

    public void setTrigger(Trigger trigger)

### getListOfEventAssignments

    public PluginListOf getListOfEventAssignments()

  Returns:
    the list of PluginEventAssignment of this PluginEvent.

### setListOfEventAssignments

    public void setListOfEventAssignments(PluginListOf listOfEventAssignments)

  Sets the list of PluginEventAssignment of this PluginEvent.

  Parameters:
    `listOfEventAssignments` - the list of PluginEventAssignment.

### addEventAssignment

    public void addEventAssignment(PluginEventAssignment event)

  Adds a PluginEventAssignment to the list.

  Parameters:
    `event` - PluginEventAssignment

### removeEventAssignment

    public void removeEventAssignment(PluginEventAssignment event)

  Removes a PluginEventAssignment from the list.

  Parameters:
    `event` - PluginEventAssignment.

### removeEventAssignment

    public void removeEventAssignment(int index)

  Removes the PluginAssignment with the given index from the list.

  Parameters:
    `index` -

### getEventAssignment

    public PluginEventAssignment getEventAssignment(int index)

  Gets the PluginEventAssignment with the given index

  Parameters:
    `index` -
  Returns:
    PluginEventAssignment

### getNumEventAssignments

    public int getNumEventAssignments()

  Returns:
    the number of PluginEventAssignment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD